package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_admin_api 后台--接口表
type FsAdminApi struct {
	Id         int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"`   // 序号
	Name       *string    `gorm:"default:'';" json:"name"`                           //
	Path       *string    `gorm:"default:'';" json:"path"`                           //
	Status     *int64     `gorm:"default:2;" json:"status"`                          // 状态:1=启用,2=停用
	Remark     *string    `gorm:"default:'';" json:"remark"`                         //
	Sort       *int64     `gorm:"default:0;" json:"sort"`                            // 排序权重
	CreateTime *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"create_time"` //
	UpdateTime *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"update_time"` //
	DeleteTime *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"delete_time"` //
	CreateUid  *int64     `gorm:"default:0;" json:"create_uid"`                      // 创建人
	UpdateUid  *int64     `gorm:"default:0;" json:"update_uid"`                      // 更新人
	DeleteUid  *int64     `gorm:"default:0;" json:"delete_uid"`                      // 删除人
	IsDel      *int64     `gorm:"default:0;" json:"is_del"`                          // 是否删除：1=是 0=否
	Method     *int64     `gorm:"default:0;" json:"method"`                          // 接口方法
}
type FsAdminApiModel struct {
	db   *gorm.DB
	name string
}

func NewFsAdminApiModel(db *gorm.DB) *FsAdminApiModel {
	return &FsAdminApiModel{db: db, name: "fs_admin_api"}
}
