package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_admin_role 后台--角色表
type FsAdminRole struct {
	Id           int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"`   // 序号
	RolePid      *int64     `gorm:"default:0;" json:"role_pid"`                        // 上级角色
	RoleName     *string    `gorm:"unique_key;default:'';" json:"role_name"`           //
	DataAuthType *int64     `gorm:"default:1;" json:"data_auth_type"`                  // 数据权限类型
	DataAuth     *[]byte    `gorm:"default:'';" json:"data_auth"`                      //
	Status       *int64     `gorm:"default:2;" json:"status"`                          // 状态:1=启用,2=停用
	Remark       *string    `gorm:"default:'';" json:"remark"`                         //
	Sort         *int64     `gorm:"default:0;" json:"sort"`                            // 排序权重
	CreateTime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"create_time"` //
	UpdateTime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"update_time"` //
	DeleteTime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"delete_time"` //
	CreateUid    *int64     `gorm:"default:0;" json:"create_uid"`                      // 创建人
	UpdateUid    *int64     `gorm:"default:0;" json:"update_uid"`                      // 更新人
	DeleteUid    *int64     `gorm:"default:0;" json:"delete_uid"`                      // 删除人
	IsDel        *int64     `gorm:"default:0;" json:"is_del"`                          // 是否删除：1=是 0=否
	MenuAuth     *[]byte    `gorm:"default:'';" json:"menu_auth"`                      //
}
type FsAdminRoleModel struct {
	db   *gorm.DB
	name string
}

func NewFsAdminRoleModel(db *gorm.DB) *FsAdminRoleModel {
	return &FsAdminRoleModel{db: db, name: "fs_admin_role"}
}
