package gmodel

import (
	"gorm.io/gorm"
)

// fs_department 部门表
type FsDepartment struct {
	Id       int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Name     *string `gorm:"default:'';" json:"name"`                         // 部门名称
	Status   *int64  `gorm:"default:0;" json:"status"`                        // 状态 1正常0停用
	Ctime    *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	ParentId *int64  `gorm:"default:0;" json:"parent_id"`                     // 父级id
	Manager  *int64  `gorm:"default:0;" json:"manager"`                       // 负责人
}
type FsDepartmentModel struct {
	db   *gorm.DB
	name string
}

func NewFsDepartmentModel(db *gorm.DB) *FsDepartmentModel {
	return &FsDepartmentModel{db: db, name: "fs_department"}
}
