package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_preprocess_logo logo数据表
type FsPreprocessLogo struct {
	Id                int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` // 自增的唯一id
	LocationCode      *string    `gorm:"index;default:'';" json:"location_code"`          //
	RestaurantName    *string    `gorm:"index;default:'';" json:"restaurant_name"`        //
	ResourceUrl       *string    `gorm:"default:'';" json:"resource_url"`                 //
	RestaurantType    *string    `gorm:"default:'';" json:"restaurant_type"`              //
	Address           *string    `gorm:"default:'';" json:"address"`                      //
	ZipCode           *string    `gorm:"default:'';" json:"zip_code"`                     //
	Phone             *string    `gorm:"default:'';" json:"phone"`                        //
	Website           *string    `gorm:"default:'';" json:"website"`                      //
	IsBranch          *int64     `gorm:"default:0;" json:"is_branch"`                     // 是否分店
	Metadata          *[]byte    `gorm:"default:'';" json:"metadata"`                     //
	Source            *string    `gorm:"index;default:'';" json:"source"`                 //
	Ctime             *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
	Utime             *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`     //
	ResourceVectorUrl *string    `gorm:"default:'';" json:"resource_vector_url"`          //
}
type FsPreprocessLogoModel struct {
	db   *gorm.DB
	name string
}

func NewFsPreprocessLogoModel(db *gorm.DB) *FsPreprocessLogoModel {
	return &FsPreprocessLogoModel{db: db, name: "fs_preprocess_logo"}
}
