package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_product_history_template 模板历史表
type FsProductHistoryTemplate struct {
	Id                       int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	TemplateId               *int64     `gorm:"index;default:0;" json:"template_id"`             // 模板id
	TemplateInfo             *string    `gorm:"default:'';" json:"template_info"`                //
	RelativePublicTemplateId *int64     `gorm:"default:0;" json:"relative_public_template_id"`   // 变更之前关联的公共模板id（仅供查看）
	Ctime                    *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
}
type FsProductHistoryTemplateModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductHistoryTemplateModel(db *gorm.DB) *FsProductHistoryTemplateModel {
	return &FsProductHistoryTemplateModel{db: db, name: "fs_product_history_template"}
}
