package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_v2 产品-模型- 模板表
type FsProductTemplateV2 struct {
	Id                       int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	ProductId                *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	ModelId                  *int64  `gorm:"default:0;" json:"model_id"`                      // 模型ID
	Title                    *string `gorm:"default:'';" json:"title"`                        // 模板（sku）,预留字段
	Name                     *string `gorm:"default:'';" json:"name"`                         // 名称
	CoverImg                 *string `gorm:"default:'';" json:"cover_img"`                    // 模板背景图
	TemplateInfo             *string `gorm:"default:'';" json:"template_info"`                // 模板详情
	MaterialImg              *string `gorm:"default:'';" json:"material_img"`                 // 合成好的贴图
	Sort                     *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	LogoWidth                *int64  `gorm:"default:0;" json:"logo_width"`                    // logo图最大宽度
	LogoHeight               *int64  `gorm:"default:0;" json:"logo_height"`                   // logo图最大高度
	IsPublic                 *int64  `gorm:"default:0;" json:"is_public"`                     // 是否可公用（1:可以，0：不可以,仅供模型关联）
	IsPublicTemplate         *int64  `gorm:"default:0;" json:"is_public_template"`            // 是否是公共模板0非1是(仅针对模板之间)
	RelativePublicTemplateId *int64  `gorm:"default:0;" json:"relative_public_template_id"`   // 模板间关联的公共模板id
	Status                   *int64  `gorm:"default:0;" json:"status"`                        // 状态1正常 2异常
	TemplateTag              *string `gorm:"default:'';" json:"template_tag"`                 //
	IsDel                    *int64  `gorm:"default:0;" json:"is_del"`                        // 是否删除 1删除
	SwitchInfo               *string `gorm:"default:'';" json:"switch_info"`                  // 开关信息
	Version                  *int64  `gorm:"default:0;" json:"version"`                       // 默认1
	ElementModelId           *int64  `gorm:"default:0;" json:"element_model_id"`              // 云渲染对应模型id
	Ctime                    *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsProductTemplateV2Model struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateV2Model(db *gorm.DB) *FsProductTemplateV2Model {
	return &FsProductTemplateV2Model{db: db, name: "fs_product_template_v2"}
}
