package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_shopping_cart 新版购物车表
type FsShoppingCart struct {
	Id                 int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	UserId             *int64     `gorm:"default:0;" json:"user_id"`                       // 用户id
	ProductId          *int64     `gorm:"default:0;" json:"product_id"`                    // 产品id
	TemplateId         *int64     `gorm:"default:0;" json:"template_id"`                   // 模板id
	ModelId            *int64     `gorm:"default:0;" json:"model_id"`                      // 模型id
	SizeId             *int64     `gorm:"default:0;" json:"size_id"`                       // 尺寸id
	LightId            *int64     `gorm:"default:0;" json:"light_id"`                      // 灯光id
	FittingId          *int64     `gorm:"default:0;" json:"fitting_id"`                    // 配件id
	PurchaseQuantity   *int64     `gorm:"default:0;" json:"purchase_quantity"`             // 购买数量
	Snapshot           *string    `gorm:"default:'';" json:"snapshot"`                     //
	IsSelected         *int64     `gorm:"default:0;" json:"is_selected"`                   // 是否被选中 0非 1是
	IsHighlyCustomized *int64     `gorm:"default:0;" json:"is_highly_customized"`          // 是否高度定制 0非 1是（针对客人高度定制,该类行无法跳详情页）
	Ctime              *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
	Utime              *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`     //
}
type FsShoppingCartModel struct {
	db   *gorm.DB
	name string
}

func NewFsShoppingCartModel(db *gorm.DB) *FsShoppingCartModel {
	return &FsShoppingCartModel{db: db, name: "fs_shopping_cart"}
}
