// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type ContactUsRequest struct {
	Name    string `json:"name"`
	Email   string `json:"email"`
	Phone   string `json:"phone"`
	Message string `json:"message"`
}

type PreLogoSearchSuggestionsRequest struct {
	Keywords string `json:"keywords"` // 关键字
}

type PreLogoSearchRequest struct {
	ZipCode  string `json:"zip_code"` // 邮编
	Keywords string `json:"keywords"` // 关键字
}

type UserInfoRequest struct {
	Module []string `json:"module"`
}

type AddressObjectRequest struct {
	AddressId   int64  `json:"address_id"`   // 地址id
	AddressName string `json:"address_name"` // 地址
}

type AddressIdRequest struct {
	AddressId int64 `json:"address_id"` // 地址id
}

type AddressDefaultRequest struct {
	AddressId int64 `json:"address_id"` // 地址id
	IsDefault int64 `json:"is_default"` // 是否默认
}

type AddressRequest struct {
	AddressId int64  `json:"address_id,optional"`
	IsDefault int64  `json:"is_default"` //是否默认
	FirstName string `json:"first_name"` //first_name
	LastName  string `json:"last_name"`  //last_name
	Mobile    string `json:"mobile"`     //手机
	ZipCode   string `json:"zip_code"`   //邮编
	Street    string `json:"street"`     //街道
	Suite     string `json:"suite"`      //房号
	City      string `json:"city"`       //城市
	State     string `json:"state"`      //州
}

type ProfileRequest struct {
	ProfileBase        *ProfileBase        `json:"base,optional,omitempty"`       // 基础的个人消息, 姓名 公司等
	SubscriptionStatus *SubscriptionStatus `json:"sub_status,optional,omitempty"` // 订阅的通知状态
}

type ProfileBase struct {
	FirstName   *string `json:"first_name,optional,omitempty"`  // 首名
	LastName    *string `json:"last_name,optional,omitempty"`   // 后名
	Email       *string `json:"email,optional,omitempty"`       // email
	Mobile      *string `json:"mobile,optional,omitempty"`      // 电话
	Resetaurant *string `json:"resetaurant,optional,omitempty"` // 不知道干什么
	Company     *string `json:"company,optional,omitempty"`     // 公司
}

type SubscriptionStatus struct {
	NotificationEmail NotificationEmail `json:"notification_email,optional,omitempty"`
	NotificationPhone NotificationPhone `json:"notification_phone,optional,omitempty"`
}

type NotificationEmail struct {
	OrderUpdate bool `json:"order_update,optional,omitempty"`
	Newseleter  bool `json:"newseleter,optional,omitempty"`
}

type NotificationPhone struct {
	OrderUpdate bool `json:"order_update,optional,omitempty"`
	Newseleter  bool `json:"newseleter,optional,omitempty"`
}

type QueryProfileRequest struct {
	TopKey string `json:"top_key"` // 首名
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"total_count"`
	PageCount   int64 `json:"page_count"`
	CurrentPage int   `json:"current_page"`
	PerPage     int   `json:"per_page"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
