// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type GetProductTemplateTagsReq struct {
	Limit int    `form:"limit"`
	Logo  string `form:"logo"`
}

type GetProductTemplateTagsRsp struct {
	Id                   int64       `json:"id"`
	TemplateTag          string      `json:"template_tag"`
	IsDefaultTemplateTag bool        `json:"is_default_template_tag"`
	TemplateTagGroups    interface{} `json:"template_tag_groups"`
	Cover                string      `json:"cover"`
	CoverMetadata        interface{} `json:"cover_metadata"`
	Colors               [][]string  `json:"colors"`
	SelectedColorIndex   int         `json:"selected_color_index"`
	ProductId            int64       `json:"product_id"`
	ProductCover         string      `json:"product_cover"`
	ProductCoverMetadata interface{} `json:"product_cover_metadata"`
}

type GetTemplateTagColorReq struct {
	Logo               string `form:"logo"`
	TemplateTag        string `form:"template_tag"`
	SelectedColorIndex int    `form:"selected_color_index"`
}

type GetTemplateTagColorRsp struct {
	Colors             [][]string  `json:"colors"`
	SelectedColorIndex int         `json:"selected_color_index"`
	TemplateTagGroups  interface{} `json:"template_tag_groups"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"total_count"`
	PageCount   int64 `json:"page_count"`
	CurrentPage int   `json:"current_page"`
	PerPage     int   `json:"per_page"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
