// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type AddToCartReq struct {
	ProductId          int64   `json:"product_id"`             //产品id
	TemplateId         int64   `json:"template_id,optional"`   //模板id(不可定制的不传)
	IsHighlyCustomized int64   `json:"is_highly_customized"`   //是否高度定制
	SelectColorIndex   int64   `json:"select_color_index"`     //选择的颜色索引
	SizeId             int64   `json:"size_id"`                //尺寸id
	FittingId          int64   `json:"fitting_id,optional"`    //配件id(没有可以不传)
	PurchaseQuantity   int64   `json:"purchase_quantity"`      //购买数量
	Logo               string  `json:"logo,optional"`          //logo地址(没有可以不传)
	CombineImage       string  `json:"combine_image,optional"` //合图地址 (没有可以不传)
	RenderImage        string  `json:"render_image,optional"`  //渲染结果图 (没有可以不传)
	DiyInfo            DiyInfo `json:"diy_info,optional"`      //用户diy数据（可选）
}

type DiyInfo struct {
	Phone   string `json:"phone,optional"`   //电话（可选）
	Address string `json:"address,optional"` //地址 （可选）
	Website string `json:"website,optional"` //网站 （可选）
	Qrcode  string `json:"qrcode,optional"`  //二维码 （可选）
	Slogan  string `json:"slogan,optional"`  //slogan （可选）
}

type DeleteCartReq struct {
	Id int64 `json:"id"` //购物车id
}

type GetCartsReq struct {
	CartId int64 `form:"cart_id,optional"` //购物车ids可选
}

type GetCartsRsp struct {
	Meta     Meta       `json:"meta"` //分页信息
	CartList []CartItem `json:"cart_list"`
}

type CartItem struct {
	CartId               int64          `json:"cart_id"`
	ProductInfo          ProductInfo    `json:"product_info"`           //产品信息
	SizeInfo             SizeInfo       `json:"size_info"`              //尺寸信息
	FittingInfo          FittingInfo    `json:"fitting_info"`           //配件信息
	ItemPrice            string         `json:"item_price"`             //单价
	TotalPrice           string         `json:"total_price"`            //单价X数量=总价
	DiyInformation       DiyInformation `json:"diy_information"`        //diy信息
	PurchaseQuantity     int64          `json:"purchase_quantity"`      //当前购买数量
	MinPurchaseQuantity  int64          `json:"min_purchase_quantity"`  //起购数量
	StepPurchaseQuantity int64          `json:"step_purchase_quantity"` //购买加或者减少步进量
	IsHighlyCustomized   int64          `json:"is_highly_customized"`   //是否高度定制
	IsInvalid            bool           `json:"is_invalid"`             //是否无效
	InvalidDescription   string         `json:"invalid_description"`    //无效原因
	IsSelected           bool           `json:"is_selected"`            //是否选中
	TemplateTag          string         `json:"template_tag"`           //模板标签
	SelectColorIndex     int64          `json:"select_color_index"`     //选择的颜色索引
	Logo                 string         `json:"logo"`
	RenderImage          string         `json:"render_image"` //渲染结果图
}

type ProductInfo struct {
	ProductId            int64       `json:"product_id"` //产品id
	ProductName          string      `json:"product_name"`
	ProductSn            string      `json:"product_sn"`
	ProductCover         string      `json:"product_cover"`          //产品图
	ProductCoverMetadata interface{} `json:"product_cover_metadata"` //产品图元数据
}

type SizeInfo struct {
	SizeId   int64     `json:"size_id"`  //尺寸id
	Capacity string    `json:"capacity"` //尺寸名称
	Title    SizeTitle `json:"title"`
}

type FittingInfo struct {
	FittingId   int64  `json:"fitting_id"`   //配件id
	FittingName string `json:"fitting_name"` //配件名称
}

type SizeTitle struct {
	Cm   string `json:"cm"`
	Inch string `json:"inch"`
}

type DiyInformation struct {
	Phone   string `json:"phone"`
	Address string `json:"address"`
	Website string `json:"website"`
	Qrcode  string `json:"qrcode"`
	Slogan  string `json:"slogan"`
}

type CalculateCartPriceReq struct {
	CalculateList []CalculateItem `json:"calculate_list"`
}

type CalculateItem struct {
	CartId           int64 `json:"cart_id"`           //购物车id
	PurchaseQuantity int64 `json:"purchase_quantity"` //数量
	IsSelected       bool  `json:"is_selected"`       //是否是选中的,选中的会统计到总价中
}

type CalculateCartPriceRsp struct {
	SubTotalPrice       string                `json:"sub_total_price"`
	CalculateResultList []CalculateResultItem `json:"calculate_result_list"`
}

type CalculateResultItem struct {
	CartId     int64  `json:"cart_id"`     //购物车id
	ItemPrice  string `json:"item_price"`  //单价
	TotalPrice string `json:"total_price"` //总价
}

type GetCartNumRsp struct {
	TotalCount int64 `json:"total_count"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"total_count"`
	PageCount   int64 `json:"page_count"`
	CurrentPage int   `json:"current_page"`
	PerPage     int   `json:"per_page"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
