package logic

import (
	"context"
	"fusenapi/utils/auth"
	"fusenapi/utils/basic"

	"fusenapi/server/websocket/internal/svc"
	"fusenapi/server/websocket/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetStatLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGetStatLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetStatLogic {
	return &GetStatLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

// 处理进入前逻辑w,r
// func (l *GetStatLogic) BeforeLogic(w http.ResponseWriter, r *http.Request) {
// }

func (l *GetStatLogic) GetStat(req *types.GetStatReq, userinfo *auth.UserInfo) (resp *basic.Response) {
	if req.Password != "fusen1314" {
		return resp.SetStatusWithMessage(basic.CodeOK, "你干嘛，哎哟")
	}
	return resp.SetStatusWithMessage(basic.CodeOK, "success", types.GetStatRsp{
		WsTotalCount:           currentWebsocketConnectCount,
		CurRequestCombineCount: currentRequestCombineApiCount,
	})
}

// 处理逻辑后 w,r 如:重定向, resp 必须重新处理
// func (l *GetStatLogic) AfterLogic(w http.ResponseWriter, r *http.Request, resp *basic.Response) {
// // httpx.OkJsonCtx(r.Context(), w, resp)
// }
