package websocket_data

import "fusenapi/constants"

// websocket数据交互基本数据类型
type DataTransferData struct {
	T     constants.Websocket `json:"t"`     //消息类型
	D     interface{}         `json:"d"`     //传递的消息
	Debug bool                `json:"debug"` //是否开启debug
}

// 基础连接成功返回
type ConnectSuccessMsg struct {
	Wid string `json:"wid"` //websocket连接唯一标识
}

// 连接失败
type ConnectErrMsg struct {
	Message string `json:"message"`
}

// 未授权
type ConnectUnAuth struct {
	Message string `json:"message"`
}
